# Class CompareEditorInputNavigator

java.lang.Object
org.eclipse.compare.CompareNavigator
org.eclipse.compare.internal.CompareEditorInputNavigator

All Implemented Interfaces:
  `ICompareNavigator`

public class CompareEditorInputNavigator extends CompareNavigator
Supports cross-pane navigation through the differences contained in a `CompareEditorInput` or a similar type of compare container.

See Also:
  - `INavigatable`

## Constructor Summary

Constructors
Constructor
Description
`CompareEditorInputNavigator(Object[] panes)`
Create a navigator for navigating the given panes

## Method Summary

Modifier and Type
Method
Description
`protected INavigatable[]`
`getNavigatables()`
`Object[]`
`getPanes()`
Return the set of panes that this navigator is navigating.
`boolean`
`selectChange(boolean next)`
Starting from the current selection `selectChange` selects and reveals the next (previous) change.

### Methods inherited from class CompareNavigator

`getNavigator, hasChange`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CompareEditorInputNavigator

public CompareEditorInputNavigator(Object[] panes)
Create a navigator for navigating the given panes

Parameters:
  `panes` - the panes to navigate.

## Method Details

### getPanes

public Object[] getPanes()
Return the set of panes that this navigator is navigating. The `INavigatable` is obtain from each pane using the adaptable mechanism.

Returns:
  the set of panes that this navigator is navigating

### getNavigatables

protected INavigatable[] getNavigatables()

Specified by:
  `getNavigatables` in class `CompareNavigator`

### selectChange

public boolean selectChange(boolean next)
Description copied from interface: `ICompareNavigator`
Starting from the current selection `selectChange` selects and reveals the next (previous) change. If the end (or beginning) is reached, the method returns `true`.

Specified by:
  `selectChange` in interface `ICompareNavigator`
Overrides:
  `selectChange` in class `CompareNavigator`
Parameters:
  `next` - if `true` the next change is selected, otherwise the previous change
Returns:
  returns `true` if end (beginning) is reached, `false` otherwise